package dp.kotul.templategroupsbackend.data

import dp.kotul.templategroupsbackend.model.unit.UnitTypeAttributeIdName
import dp.kotul.templategroupsbackend.model.unit.UnitTypeIdName
import dp.kotul.templategroupsbackend.model.user.UserColumn

object VariableSourceData {
    val unitTypeIdNames = listOf(
        UnitTypeIdName(
            unitTypeId = 1,
            name = "unit test name",
            unitTypeAttributes = listOf(
                UnitTypeAttributeIdName(
                    unitTypeAttributeId = 2,
                    name = "unit attribute test name"
                )
            )
        ),
        UnitTypeIdName(
            unitTypeId = 2,
            name = "unit test name 2",
            unitTypeAttributes = emptyList()
        )
    )

    val userColumns = listOf(
        UserColumn(
            columnName = "user_id",
            mandatory = false,
            visible = true,
            sortOrder = 0,
            translatedName = "user test name"
        )
    )
}
